ubuntu/+source/upstart:ubuntu/intrepid

Last commit made on 2008-09-30
Get this branch:
git clone -b ubuntu/intrepid https://git.launchpad.net/ubuntu/+source/upstart
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
ubuntu/intrepid
Repository:
lp:ubuntu/+source/upstart

Recent commits

0e6f2f4... by Kees Cook on 2008-09-29

Import patches-unapplied version 0.3.9-8 to ubuntu/intrepid

Imported using git-ubuntu import.

Changelog parent: 88f9a1c8eb5e66f6cdf89a61f3972a90ae74240d

New changelog entries:
  * Do not attempt to continue communicating with the restarted upstart
    (LP: #273761).

88f9a1c... by Scott James Remnant (Canonical) on 2008-09-23

Import patches-unapplied version 0.3.9-7 to ubuntu/intrepid

Imported using git-ubuntu import.

Changelog parent: 0bb0c140fd1fdb5a517c74cd0b7add4e2e27feef

New changelog entries:
  * Implement "telinit u" by just sending Upstart SIGTERM with a slightly
    different patch than Fedora. LP: #188925.

0bb0c14... by Scott James Remnant (Canonical) on 2008-06-04

Import patches-unapplied version 0.3.9-6 to ubuntu/intrepid

Imported using git-ubuntu import.

Changelog parent: c7df277086532522a3e8ba67f89087629f7299c4

New changelog entries:
  * Really fix LP: #237276 properly this time, lost the change while mucking
    around with bzr.

c7df277... by Scott James Remnant (Canonical) on 2008-06-04

Import patches-unapplied version 0.3.9-5 to ubuntu/intrepid

Imported using git-ubuntu import.

Changelog parent: 52a38b371d59c9a39a207e6eb93a4d6c142ebc2f

New changelog entries:
  * Correct build problem on amd64 and ia64 by only building libnih and
    libupstart statically. The shared objects were unwanted, and conflict
    with -fPIE.

52a38b3... by Scott James Remnant (Canonical) on 2008-06-04

Import patches-unapplied version 0.3.9-4 to ubuntu/intrepid

Imported using git-ubuntu import.

Changelog parent: 1cccd9512b9da642bd8868acfe79bb9599db940f

New changelog entries:
  * Add missing limits.h, required to build with current libc.

1cccd95... by Scott James Remnant (Canonical) on 2008-06-04

Import patches-unapplied version 0.3.9-3 to ubuntu/intrepid

Imported using git-ubuntu import.

Changelog parent: bab1d065cf93efe29162f5e298ff68fe2a9aff4c

New changelog entries:
  * Change dependency from sysvutils to sysvinit-utils. LP: #237276.
  * Compile with stack -fstack-protector, -fPIE, -z relro, -z now and -pie
    (MMmm, pie)
  * Start the getty on tty1 after the rc script has stopped rather then
    at the same time it starts to avoid overwriting by console messages.
    tty2..6 will still be active if you want an early login. LP: #65230.
  * If the recovery menu is available start that instead of sulogin when
    entering single-user-mode.
  * New upstream release:
    - many bug fixes.
  * Update reference to "edgy" in README.Debian to "hardy". LP: #140037.
  * Fix broken migration of old-style 'respawn process' stanzas which
    produced corrupted 'exec' stanzas. Try to fix up files previously
    corrupted by this. LP: #95210
  * New upstream release:
    - much improved initctl tool.
  * Update my standard prep_/undo_/rm_conffile functions to take into account
    current dpkg behaviour wrt obsolete conffiles. The conffile is now moved
    out of the way in preinst and the moved file deleted in postinst, or moved
    back in postrm abort-upgrade. This means it's not there when dpkg
    configures the new version, so the conffile is not left in the list.
  * Purge backups of modified obsolete conffiles when the package is purged.
  * Update runlevel and respawn rule generated in migrate-inittab.pl
    LP: #89314
  * Drop 00-libnih-update.patch and 01-libnih-sparc-ftbfs.patch; new upstream
    release includes an up-to-date libnih which contains both patches.
  * Drop 10-cant-stop-execless-job.patch; included upstream.
  * Drop 20-complex-event-config.patch; this is going to be significantly
    changed upstream, and we don't want to ship something strange.
  * Drop 30-fix-warnings.patch; included upstream.
  * Changed "start script" to "pre-start script" in sulogin event, the former
    is no longer recognised.
  * Applied 01-libnih-sparc-ftbfs.patch; this updates the signal name list
    to exclude signals not available on that architecture, and add one that's
    unique to it.
  * Applied 30-fix-warnings.patch; this corrects a few warnings that spoiled
    an otherwise clean build log.
  * New upstream release:
    - inotify file descriptor leak fixed. LP: #83099.
    - inotify support is no longer required. LP: #68904.
    - new job state machine
    - new event structure, can now include arguments and environment
  * Applied 00-libnih-update.patch; this updates the libnih library to the
    latest bzr trunk version, required for the complex-event-config patch.
  * Applied 10-cant-stop-execless-job.patch from upstream; this corrects a
    bug where jobs without an "exec" or "script" stanza cannot be stopped.
  * Applied 20-complex-event-config.patch from upstream; this is an
    experimental implementation of the "on" keyword that allows definition
    of complex system states.
  * System V compatibility jobs updated to match new event names.
  * rcS job now sets PREVLEVEL and RUNLEVEL. LP: #76304.
  * NOTE: After this upgrade, init will appear to have "forgotten" the
    process ids of your gettys, etc. This is not a critical problem and
    will be fixed before release. Shutdown will still work as normal.
  * New upstream release:
    - start, stop and status are now symlinks to initctl, not to a
      different, separate utility.
    - initctl completely rewritten to behave properly.
    - some upstart-specific options to shutdown and reboot dropped, as
      these are considered SysV-compat tools.
    - "console none" fixed. LP: #70782.
    - improved documentation. LP: #68805.
  * shutdown and reboot moved to upstart-compat-sysv.
  * Replace the /usr/share/doc/* directory in upstart-logd,
    upstart-compat-sysv, system-services and startup-tasks with a symlink to
    /usr/share/doc/upstart. This was actually done in a previous package,
    but the migration missed. LP: #70895.
  * Don't abort the postinst if we can't send init SIGTERM. Ubuntu: #64499.
  * Don't start gettys on tty2 thru tty6 in runlevels 4 and 5 (matches
    our sysvinit configuration).
  * Migrate common changes made to /etc/inittab to /etc/event.d by
    adjusting the installed conffiles. Ubuntu: #61539.
  * Include missing AUTHORS and NEWS file in the upstart package.
  * Include README.Debian which answers common questions. Ubuntu: #60429.
  * Don't set the current runlevel in /var/run/utmp to 0 or 6 if it is
    already either of those two values. That way we don't end up with
    either 0 or 6 in the PREVLEVEL variable, which can cause
    /etc/init.d/rc to be "efficient" and not bother doing
    anything. Ubuntu: #63852.
  * Can't just start rc-default once in single-user mode, because if we
    boot into that, that will just return us back to sulogin again. Copy
    the script out of rc-default into rcS-sulogin to call telinit with the
    right default runlevel. Ubuntu: #62189.
  * Add Build-Depend on dpkg-dev (>= 1.13.19) due to our use of
    ${binary:Version}. Ubuntu: #61693.
  * Set the runlevel to "S" when we enter sulogin so that it appears
    in utmp.

bab1d06... by Michael Biebl on 2009-04-09

Import patches-unapplied version 0.3.9-2 to debian/squeeze

Imported using git-ubuntu import.

Changelog parent: ce21adf8236267db369593b8840015b7d924988b

New changelog entries:
  * debian/control
    - Bump Standards-Version to 3.8.1. No further changes.
    - Update Vcs-* fields. Package is now managed with Git on git.debian.org.
    - Bump Build-Depends on debhelper to (>= 7).
  * debian/compat
    - Bump debhelper compat level to 7.
  * debian/rules
    - Use dh_prep instead of dh_clean -k.
    - Depend on $(QUILT_STAMPFN) instead of patch; patch is a phony target and
      thus always out of date.
    - Move $(QUILT_STAMPFN) dependency to config.status to avoid potential
      issues with parallel make.
  * debian/upstart-compat-sysv.preinst
    - Remove obsolete conffiles also on (re)install.
  * debian/patches/01-limits.patch
    - Include limits.h to fix build failures with current glibc.
      Patch taken from Ubuntu.
  * debian/patches/02-telinit-u.patch
    - Implement "telinit u" by sending Upstart SIGTERM.
      Patch taken from Ubuntu.
  * debian/patches/03-static-convenience-libs.patch
    - Build libnih and libupstart as static convenience libraries.
      Patch taken from Ubuntu.
  * Use set -e instead of #!/bin/sh -e for all maintainer scripts.

ce21adf... by Michael Biebl on 2007-10-22

Import patches-unapplied version 0.3.9-1 to debian/experimental

Imported using git-ubuntu import.